Consultar gráfico do extrato
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/account-statement/chart \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/account-statement/chart"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/financial/account-statement/chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/account-statement/chart",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/account-statement/chart"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/account-statement/chart")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/account-statement/chart")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso retornado com sucesso",
"data": {}
}Financeiro
Consultar gráfico do extrato
Retorna os dados de gráfico do extrato financeiro do usuário autenticado, sumarizando os valores por período. O resultado é cacheado por 10 minutos por conta/filtros.
GET
/
financial
/
account-statement
/
chart
Consultar gráfico do extrato
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/account-statement/chart \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/account-statement/chart"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/financial/account-statement/chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/account-statement/chart",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/account-statement/chart"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/account-statement/chart")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/account-statement/chart")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso retornado com sucesso",
"data": {}
}Authorizations
ApiClientTokenbearerAuth
Token de autenticação do cliente obtido via endpoint /auth
Query Parameters
Intervalo de datas para filtrar os dados do gráfico no formato
DD/MM/YYYY,DD/MM/YYYY (data inicial e final separadas por vírgula).
Pattern:
^\d{2}\/\d{2}\/\d{4},\d{2}\/\d{2}\/\d{4}$Example:
"01/01/2026,31/01/2026"